<?php

	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
			if($level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
	$realtime=time();
	$uid=$_GET['id'];
	$q1 = mysql_query("SELECT * FROM `users` WHERE `id`='".check(mysql_real_escape_string($uid))."'");
	$u = mysql_fetch_array($q1);
	switch ($act) {
	default:
	echo "<title>Личные сообщения</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>Личные сообщения</b></div>';
	echo '<div class="razd"></div>';
	echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=proch_dialog"><b>Отметить все как прочитанное</b></a></div><div class="razd"></div><div class="razd"></div><div class="blok1"><img src="../images/icon/menu.png" alt="" /><a href="?act=clear_dialog"><b>Удалить диалоги</b></a></div><div class="razd"></div>';
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `dialog` WHERE `uid1`='".$use_id."';"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `dialog` WHERE `uid1`='".$use_id."' ORDER BY `time` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="conts">';
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(mysql_real_escape_string($row['uid2']))."'");
					$f = mysql_fetch_array($q);
					$countmail = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `uid1`='".$row['uid2']."' AND `uid2`='".$row['uid1']."' AND `proch`=0;"), 0);
					echo ''.rasa($f['rasa']).' <a href="?act=dialog&amp;id='.$f['id'].'"><span class="' . crasa($f['rasa']) . '">' . $f['login'] . '</span></a>';
					if($countmail!=0)echo ' [+'.$countmail.']';
					echo ' ['.dates($row['time']).']';
					echo ' <a href="?act=del_dialog&amp;m='.$row['id'].'"> <img src="images/icon/abort.png" width="15px" alt="image" /></a></div>'; 

					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?');
			}
			else
			{
				div('<center><b>Сообщений нет!</b></center>','window');
			}
	break;
	case 'new':
	echo "<title>Новое сообщение</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="mail.php"><b>Личные сообщения</b></a> | <font color="#4EEE94"><b>Новое сообщение</b></font></div>';
	echo '<div class="razd"></div>';

	if($u['id']!='' AND $u['id']!=$use_id){
	$ignor = mysql_result(mysql_query("SELECT COUNT(*) FROM `ignor` WHERE `uid_ignor`='".$use_id."' AND `uid`='".$u['id']."';"), 0);
	echo '<center><div class="blok2">Сообщение для игрока '.rasa($u['rasa']).' <a href="anketa.php?id='.$u['id'].'"><span class="' . crasa($u['rasa']) . '">' . $u['login'] . '</span></a></div></center>';	  	
				if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">';
			echo 'Текст сообщения:<br /><input type="text" value="" name="text" />';
			echo ' <input type="submit" name="submit" value="Написать"/></form>';
			echo '</div></center>';
	}	
	else
	{
			$text = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['text'])))))));
			$lastmess=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `uid2` = '".$u['id']."' AND `text`='".$text."' AND `time`>=$realtime-600;"), 0);
			$dialog1=mysql_result(mysql_query("SELECT COUNT(*) FROM `dialog` WHERE `uid1` = '".$u['id']."' AND `uid2`='".$use_id."';"), 0);
			$dialog2=mysql_result(mysql_query("SELECT COUNT(*) FROM `dialog` WHERE `uid2` = '".$u['id']."' AND `uid1`='".$use_id."';"), 0);
$error = false;
if ($ignor==1)

{

		$error = $error . 'Вы не можете написать этому игроку так как он добавил вас в игнор-лист<br/>';

}
			
elseif ($ban==1)

{

		$error = $error . 'Забаненным игрокам можно писать личные сообщения только тогда когда они не забаненные <br/>';

}

if( trim($_POST['text']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Сообщение</b></ins></font><br/>';
    
}

if(!empty($_POST['text']) && (mb_strlen($_POST['text']) > 200 || mb_strlen($_POST['text']) < 2 || mb_strlen($_POST['text']) > 200))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Сообщение</b></ins></font>  минимум <font color="#4EEE94">[2]</font> буквы или символа<br/>';
  
}
			
if(!empty($_POST['text']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['text'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Сообщение</b></font> содержит запрещенные символы<br/>';
    
}
	  		
if ($lastmess!=0)

{	

	$error = $error . 'Не повторяйте ваши сообщения!<br/>';	

}			
		
if ($level == 0)

{	

	$error = $error . 'Вы не авторизированны<br/>';
	
}	

if (empty($error))
		{
			mysql_query("INSERT INTO `mail` SET
			            `uid1`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))) . "',
			            `uid2`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($u['id'])))))) . "',
						`time`='" . time() . "',
			            `text`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text)))))) . "';");	
			if($dialog1!=0 OR $dialog2!=0)mysql_query("UPDATE `dialog` SET `time`='" . time() . "' WHERE `uid1`='".$use_id."' AND `uid2`='".$u['id']."' OR `uid2`='".$use_id."' AND `uid1`='".$u['id']."';");						
			if($dialog2==0){
				mysql_query("INSERT INTO `dialog` SET
			            `uid1`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))) . "',
			            `uid2`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($u['id'])))))) . "',
						`time`='".time()."';");	}
			if($dialog1==0){	
				mysql_query("INSERT INTO `dialog` SET
			            `uid2`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))) . "',
			            `uid1`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($u['id'])))))) . "',
						`time`='".time()."';");	
			}
			
				header("Location: mail.php?act=dialog&id=".$u['id']."");
				}
		else
		{
			echo '<div class="blok3"><b>'.$error.'</b></div>';
		}
	}
	echo '<div class="blok"><a href="?act=new&amp;id='.$u['id'].'&amp;o='.rand(1,9999).'"><b>Назад</b></a></div>';
	}
	break;
		case 'dialog':
		if($u['id']!=''){
		echo "<title>Диалог с ".$u['login']."</title>"; 
		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		div('<a href="mail.php"><b>Личные сообщения</b></a> | <font color="#4EEE94"><b>Диалог с  '.rasa($u['rasa']).' <a href="anketa.php?id='.$u['id'].'"><span class="' . crasa($u['rasa']) . '">' . $u['login'] . '</b></font></span></a>','blok');
			echo '<div class="blok"><div class="ch">';
			echo '<form action="mail.php?act=new&amp;id='.$u['id'].'" method="POST">';
			echo 'Сообщение:<br/><font color="#FF0000">(Введите минимум 2 буквы или символа)</font><input type="text" value="" name="text" /> ';
			echo '<input type="submit" name="submit" value="Написать"/></form><a href="?act=dialog&amp;id='.$u['id'].'&amp;o='.rand(2001,9999).'"><font color="#DAA520"><b>[Обновить]</b></font></a>';
			echo '</div></div>';
   	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `uid1`='".$use_id."' AND `uid2`='".$u['id']."' OR `uid2`='".$use_id."' AND `uid1`='".$u['id']."';"), 0);
	$PAGINGS = new PAGINGS($elem, "SELECT * FROM `mail` WHERE `uid1`='".$use_id."' AND `uid2`='".$u['id']."' OR `uid2`='".$use_id."' AND `uid1`='".$u['id']."' ORDER BY `id` DESC");
	if($PAGINGS->count_get > 0)
	{
		while($row = mysql_fetch_array($PAGINGS->get))
		{
			echo '<div class="blok1">';
			if($row['uid1']==$use_id){
			echo ''.rasa($rasa).' <a href="anketa.php?id='.$use_id.'"><span class="' . crasa($rasa) . '">' . $login . '</span></a>';}
			if($row['uid2']==$use_id){
			$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid1'])))))))."'");
			$f = mysql_fetch_array($q);
			echo ''.rasa($f['rasa']).' <a href="anketa.php?id='.$f['id'].'"><span class="' . crasa($f['rasa']) . '">' . $f['login'] . '</span></a>';
			}
			echo ' ['.dates($row['time']).']: '.smiles(tags(antilink($row['text']))).'';
			echo '</div>'; 
			if($row['proch']==0 AND $use_id==$row['uid2'])mysql_query("UPDATE `mail` SET `proch`='1' WHERE `id`='".$row['id']."'");
			++$i;
		}
		if($count>$elem)echo $PAGINGS->Links('?act=dialog&amp;id='.$u['id'].'&amp;'); 
	}
}
	break;
	case 'clear_dialog':
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="mail.php"><b>Личные сообщения</b></a> | <font color="#4EEE94"><b>Удаление диалогов</b></font></div>';
	echo '<div class="razd"></div>';
	$wb=$_GET['o'];
		if($wb!=1){
							echo "<title>Удаление диалогов</title>"; 
							echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
							echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		                    echo '<center><div class="window">';
							echo 'Вы уверенны что хотите удалить все диалоги?<br/>';
							echo '<a href="?act=clear_dialog&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="mail.php"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
	$PAGINGS = mysql_query("SELECT COUNT(*) FROM `dialog` WHERE `uid1`='".$use_id."'");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{
		$dialog=mysql_result(mysql_query("SELECT COUNT(*) FROM `dialog` WHERE `uid1` = '".$row['uid2']."' AND `uid2`='".$use_id."';"), 0);
		if($dialog==1){
		mysql_query("DELETE FROM `mail` WHERE `uid1`='".$use_id."' AND `uid2`='".$row['uid2']."';");
		mysql_query("DELETE FROM `mail` WHERE `uid2`='".$use_id."' AND `uid1`='".$row['uid2']."';");
		}
	}

	}
	mysql_query("UPDATE `mail` SET `proch`='1' WHERE `uid2`='".$use_id."'");	
	mysql_query("DELETE FROM `dialog` WHERE `uid1`='".$use_id."';");
	header("Location: mail.php");
							}
	break;
	case 'del_dialog':
	echo '<div class="top"><a href="mail.php">Личные сообщения</a> | Удаление диалога</div>';
	$m=$_GET['m'];
	$q = mysql_query("SELECT * FROM `dialog` WHERE `id` = '".check($m)."'");
	$f = mysql_fetch_array($q);
	$dialog=mysql_result(mysql_query("SELECT COUNT(*) FROM `dialog` WHERE `uid1` = '".$f['uid2']."' AND `uid2`='".$use_id."';"), 0);
	if($f['uid1']==$use_id){
	$wb=$_GET['o'];
		if($wb!=1){
		                    echo '<div class="conts">';
							echo 'Вы уверенны что хотите удалить этот диалог?<br/>';
							echo '<a href="?act=del_dialog&amp;m='.$f['id'].'&amp;o=1">Да</a> или <a href="mail.php?act=dialog&amp;id='.$f['uid2'].'">Отмена</a><br/>';
							echo '</div>';
							}else{
						
						if($dialog==1){
						mysql_query("DELETE FROM `mail` WHERE `uid1`='".$use_id."' AND `uid2`='".$row['uid2']."';");
						mysql_query("DELETE FROM `mail` WHERE `uid2`='".$use_id."' AND `uid1`='".$row['uid2']."';"); }
						mysql_query("DELETE FROM `dialog` WHERE `id`='".$f['id']."';");
						mysql_query("UPDATE `mail` SET `proch`='1' WHERE `uid1`='".$f['uid2']."' AND `uid2`='".$use_id."'");
header("Location: mail.php");
							}}
break;
	case 'proch_dialog':
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="mail.php"><b>Личные сообщения</b></a> | <font color="#4EEE94"><b>Непрочитанные сообщения</b></font></div>';
	echo '<div class="razd"></div>';
	$wb=$_GET['o'];
		if($wb!=1){

							echo "<title>Непрочитанные сообщения</title>"; 
							echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
							echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		                    echo '<center><div class="window">';
							echo 'Вы уверенны что хотите отметить все новые входящие сообщения как прочитанные?<br/>';
							echo '<a href="?act=proch_dialog&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="mail.php"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
	mysql_query("UPDATE `mail` SET `proch`='1' WHERE `uid2`='".$use_id."'");	
	header("Location: mail.php");
							}
	}}
	
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>